stream_context_create
stream_context_get_options
Stream Functions
PHP Manual

# stream_context_get_default

(PHP 5 >= 5.1.0)

stream_context_get_default — Retrieve the default stream context

### Description

resource stream_context_get_default ([ array `$options` ] )

Returns the default stream context which is used whenever file operations (fopen(), file_get_contents(), etc...) are called without a context parameter. Options for the default context can optionally be specified with this function using the same syntax as stream_context_create().

### Parameters

`options`
  `options` must be an associative array of associative arrays in the format $arr['wrapper']['option'] = $value.

  > Note:

  > As of PHP 5.3.0, the stream_context_set_default() function can be used to set the default context.

### Return Values

A stream context resource.

### Examples

Example #1 Using stream_context_get_default()

`<?php
$default_opts = array(
'http'=>array(
'method'=>"GET",
'header'=>"Accept-language: en\r\n" .
"Cookie: foo=bar",
'proxy'=>"tcp://10.54.1.39:8000"
)
);
$alternate_opts = array(
'http'=>array(
'method'=>"POST",
'header'=>"Content-type: application/x-www-form-urlencoded\r\n" .
"Content-length: " . strlen("baz=bomb"),
'content'=>"baz=bomb"
)
);
$default = stream_context_get_default($default_opts);
$alternate = stream_context_create($alternate_opts);
/* Sends a regular GET request to proxy server at 10.54.1.39
* For www.example.com using context options specified in $default_opts
*/
readfile('http://www.example.com');
/* Sends a POST request directly to www.example.com
* Using context options specified in $alternate_opts
*/
readfile('http://www.example.com', false, $alternate);
?>`

### See Also

- stream_context_create() - Creates a stream context
- Listing of supported wrappers with context options (Supported Protocols and Wrappers).

stream_context_create
stream_context_get_options
Stream Functions
PHP Manual